package com.bankaudit.dto;

import java.math.BigInteger;
import java.util.List;

public class TreeviewItem {
	
	String text;
	String value;
	Boolean collapsed;
	Boolean disabled;
	Boolean checked;
	String description;
	List<TreeviewItem> children;
	/**
	 * @return the text
	 */
	public String getText() {
		return text;
	}
	/**
	 * @param text the text to set
	 */
	public void setText(String text) {
		this.text = text;
	}
	/**
	 * @return the value
	 */
	public String getValue() {
		return value;
	}
	/**
	 * @param value the value to set
	 */
	public void setValue(String value) {
		this.value = value;
	}
	/**
	 * @return the collapsed
	 */
	public Boolean getCollapsed() {
		return collapsed;
	}
	/**
	 * @param collapsed the collapsed to set
	 */
	public void setCollapsed(Boolean collapsed) {
		this.collapsed = collapsed;
	}
	/**
	 * @return the disabled
	 */
	public Boolean getDisabled() {
		return disabled;
	}
	/**
	 * @param disabled the disabled to set
	 */
	public void setDisabled(Boolean disabled) {
		this.disabled = disabled;
	}


	/**
	 * @return the checked
	 */
	public Boolean getChecked() {
		return checked;
	}
	/**
	 * @param checked the checked to set
	 */
	public void setChecked(BigInteger checked) {
		if(checked.toString().equals("1")){
			this.checked = true;
		}else if(checked.toString().equals("0")){ 
			this.checked = false;
		}			
	}
	/**
	 * @return the description
	 */
	public String getDescription() {
		return description;
	}
	/**
	 * @param description the description to set
	 */
	public void setDescription(String description) {
		this.description = description;
	}
	/**
	 * @return the children
	 */
	public List<TreeviewItem> getChildren() {
		return children;
	}
	/**
	 * @param children the children to set
	 */
	public void setChildren(List<TreeviewItem> children) {
		this.children = children;
	}
	
	
	
	
	
	
	
	
}
